Subject: bug#6637: 24.0.50; kill ring being seriously polluted

From: Chong Yidong <[email-masked]>
Date: Thu, 15 Jul 2010 10:03:39 -0400

Tim Van Holder <[email-masked]> writes:

> With the current BZR head, the kill ring seems to be seriously
> broken, at least in conjunction with pc-selection-mode.
> It seems that whenever I mark a region (using shift + arrow keys), the
> contents of that region go into the kill ring, and when I enter text to
> replace that region, the first character (and only the first character)
> goes into the kill ring.

Your description is too vague.  Please provide a precise, step-by-step
recipe for the problem, starting with `emacs -Q'.